跳转到主要内容
POST
Autocomplete Place Predictions

请求规范

  • 方法与路径: POST /apis/v1/google-maps/autocomplete
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/google-maps/autocomplete
  • Runtime 事实版本: 3b5a2acec503471a11eb19f2556b4dd51989d71bc63d22f67f55218e55b002ef
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.00313 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.00313
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
input
string
必填

Text string to search for place predictions. Can be full words, substrings, place names, addresses, or plus codes. Must be non-empty.

示例:

"pizza"

"123 Main"

"Eiffel"

origin
object

Latitude/longitude point for distance calculations.

regionCode
string

Region code in ccTLD format for formatting responses (e.g., 'us', 'br').

示例:

"us"

"gb"

"fr"

inputOffset
integer

Zero-based Unicode character offset of cursor position in the input string.

必填范围: x >= 0
示例:

5

10

languageCode
string

Preferred language for results using IETF BCP-47 language codes (e.g., 'en-US', 'es-ES').

示例:

"en-US"

"es-ES"

"fr-FR"

locationBias
object

Area to bias search results toward.

sessionToken
string

User-generated string grouping calls into sessions for billing purposes.

示例:

"session_123"

"user_abc_session"

includedRegionCodes
string[]

Up to 15 two-character country codes (ISO 3166-1 Alpha-2) to restrict results. Query predictions unavailable when this is set.

示例:
locationRestriction
object

Area to restrict search results within.

includedPrimaryTypes
string[]

Restricts results to up to five specified primary types (e.g., 'restaurant', 'cafe').

示例:
includeQueryPredictions
boolean

Includes query predictions in response for text searches (default: false).

includePureServiceAreaBusinesses
boolean

Includes businesses without physical locations (default: false).

响应

Tool result data

suggestions
object[]